
import 'EntityFactory.dart';

/**
 * 基类数据，返回的参数为：{"code":0, "message":"", "data":{}}
 */
class BaseEntity<T> {
  //code = 1, 代表success
  static int STATUS_OK = 1;

  int code;
  String message;
  T data;

  BaseEntity({this.code, this.message, this.data});

  factory BaseEntity.fromJson(json) {
    return BaseEntity(
      code: json["code"],
      message: json["msg"],
      //data值需要经过工厂转换为我们传进来的类型
      data: EntityFactory.generateOBJ<T>(json["data"]),
    );
  }
}